CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

            calibre-debug [options]

Olika kommandoradsgränssnitt som är användbara för felsökning av calibre. Med inga flaggor startar detta kommando en inbäddad Python-tolk. Du kan också köra calibre-huvudgränssnittet, calibres e-bokvisare och calibre-redigeraren i felsökningsläge.

Den innehåller också gränssnitt till olika bitar av calibre som inte har dedikerade kommandoradsverktyg, som att skapa delmängder av teckensnitt, e-bokdiffverktyg och så vidare.

Du kan också använda calibre-debug för att köra fristående skript. För att göra det använder du det så här:
        calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Allting efter -- skickas till skriptet. Du kan också använda calibre-debug som en shebang i skript, så här:
        #!/usr/bin/env -S calibre-debug -e -- --

När du skickar argument till calibre-debug som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

[ALTERNATIV]

    --add-simple-plugin
        Lägg till en enkel insticksmodul (det vill säga en insticksmodul som består av bara en .py-fil), genom att ange sökvägen till py-filen som innehåller insticksmodulskoden.

    --command, -c
        Kör Python-kod.

    --debug-device-driver, -d
        Felsöker enhetsidentifiering

    --default-programs
        (Av)registrera calibre från Windows-standardprogram. --default-programs = (register|unregister)

    --diff
        Kör diffverktyg för calibre. Till exempel: calibre-debug --diff fil1 fil2

    --edit-book
        Starta calibres verktyg "Redigera bok" i felsökningsläge. Precis som med -g, använd -- för att skicka kommandoradsargument.

    --exec-file, -e
        Kör Python-koden i fil.

    --explode-book, -x
        Bryt isär boken i den angivna mappen. Användning: -x file.epub output_dir Exporterar boken som en samling HTML-filer och metadata som du kan redigera med standard HTML-redigeringsverktyg. Fungerar med EPUB-, AZW3-, HTMLZ- och DOCX-filer.

    --export-all-calibre-data
        Exportera all calibre-data (böcker/inställningar/insticksmoduler). Normalt kommer du att bli tillfrågad om exportmappen och biblioteken att exportera. Du kan också ange dem som kommandoradsargument för att hoppa över frågorna. Använd absoluta sökvägar för exportmappen och biblioteken. Det speciella nyckelordet "all" kan användas för att exportera alla bibliotek. Exempel: calibre-debug --export-all-calibre-data # för interaktiv användning calibre-debug --export-all-calibre-data /sökväg/till/tom/export/mapp /sökväg/till/bibliotek/mapp1 /sökväg/till/bibliotek2 calibre-debug --export-all-calibre-data /export/mapp all # exportera alla kända bibliotek

    --gui, -g
        Kör det grafiska användargränssnittet med felsökning aktiverad. Felsökningsutmatning skrivs ut till stdout och stderr. För att skicka kommandoradsargument, använd -- följt av argumenten, till exempel: calibre-debug -g -- /sökväg/till/e-bok

    --gui-debug
        Kör det grafiska gränssnittet med felsökningskonsol, loggning till angiven sökväg. Bara för intern användning, använd -g alternativet för att köra det grafiska gränssnittet i felsökningsläge

    --help, -h
        visa denna hjälptext och avsluta

    --implode-book, -i
        Implodera en tidigare exploderad bok. Användning: -i output_dir file.epub Importerar boken från filerna i output_dir som måste ha skapats av ett tidigare anrop till --explode-book. Var noga med att ange samma filtyp som användes vid exploderande.

    --import-calibre-data
        Importera tidigare exporterade calibre-data

    --inspect-mobi, -m
        Undersök MOBI-filen eller MOBI-filerna i den angivna sökvägen eller de angivna sökvägarna

    --kepubify
        Konvertera den angivna EPUB-filen till KEPUB utan att göra en fullständig konvertering. Detta är vad Kobo-drivrutinen gör när den skickar filer till enheten.

    --paths
        Mata ut nödvändiga sökvägar för att anpassa calibre-miljön

    --run-plugin, -r
        Kör en insticksmodul som tillhandahåller ett kommandoradsgränssnitt. Till exempel: calibre-debug -r "insticksmodulsnamn" -- fil1 --flagga1 Allt efter -- kommer att skickas till insticksmodulen som argument.

    --run-test, -t
        Kör de namngivna testerna. Använd specialvärdet "all" för att köra alla tester. Om testnamnet börjar med en punkt antas det vara ett modulnamn. Om testnamnet börjar med @ antas det vara ett kategorinamn.

    --run-without-debug
        Kör inte med DEBUG-flaggan inställd

    --shutdown-running-calibre, -s
        Orsakar att en körande calibre-instans avslutas, om någon körs. Observera att om det finns pågående jobb kommer de att avbrytas tyst, så använd med försiktighet.

    --subset-font, -f
        Skapa en delmängd av det angivna teckensnittet. Använd -- efter den här flaggan för att skicka flaggor till programmet för teckensnittsdelmängder.

    --test-build
        Testa binärmoduler i bygge

    --un-kepubify
        Konvertera den angivna KEPUB-filen till EPUB utan att göra en fullständig konvertering. Detta är vad Kobo-drivrutinen gör när den importerar filer från enheten.

    --version
        visar programmets versionsnummer och avsluta

    --viewer, -w
        Kör e-bokvisaren i felsökningsläge. Precis som med -g, använd -- för att skicka kommandoradsargument.

Author
Kovid Goyal

Copyright
Kovid Goyal